#!/usr1/local/bin/perl5

use strict;
use lib '/www/htdocs/cgi-bin/lib';

use WEB;

my ($sec, $min, $hour, $mday, $mon, $year)  = localtime();
my $time = sprintf("%04d-%02d-%02d %02d:%02d:%02d", $year+1900, $mon+1,
                                                    $mday, $hour, $min, $sec);
my $src = $ENV{REMOTE_HOST};

my %flds = WEB::webdeform($ENV{QUERY_STRING});

open(RESULTS, ">>/tmp/W3Browse/dbm/survey.results");

print RESULTS "$time :: $src\n";

my $key;
foreach $key (sort(keys (%flds))) {
    print RESULTS "    $key=".$flds{$key}."\n";
}
close(RESULTS);

print <<EOT;
Content-type: text/html

<html>
<head>
<title> Survey submission</title>
</head>
<body>
<b> Thanks!</b>
<br>
We have recorded your comments and will consider them carefully
as we improve our on-line systems.
<p>
The HEASARC Web Services Team
</body>
</html>
EOT
