# $Id: SaveObjectsToFile.pm,v 1.2 2004/12/09 19:29:26 lmm Exp $
# This class sends pure text format to a local file on
# the user's system.

use strict;

package Browse::SaveObjectsToFile;

use vars qw( @ISA );
@ISA = qw( Browse::PureTextDisplay );
use Browse::PureTextDisplay;


# Minimize information at the top of the page.
sub pageHeader {
  # -- do not set up for web page display if results saved to file
  
  my $timetag=time();
  # -- use process id and time tag for user local file name
  my $localFileName = $::savedTargetsFile . ".$$.$timetag";  
  print "Content-Type:application/x-download\n" .
	"Content-Disposition:attachment;filename=" .
	"$localFileName\n\n";

}


## Successful load
1;
# $Log: SaveObjectsToFile.pm,v $
# Revision 1.2  2004/12/09 19:29:26  lmm
# Combined Content-type and Content-Disposition lines for use with modperl
#   (requested for Akbar)
#
